Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class CompletionHandler.NoAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.NoAction
              ix.ip2.CompletionHandler.NoAction

Enclosing class:
  CompletionHandler

    public static class CompletionHandler.NoAction

extends HandlerAction.NoAction

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`

Fields inherited from class ix.ip2.HandlerAction.NoAction
`NO_ACTION_DESCRIPTION`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`CompletionHandler.NoAction(AgendaItem item)`

Method Summary
`java.lang.String` | `getActionDescription()` Returns a brief description of how this action would handle an item.
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.
`(package private) java.lang.String` | `makeDescription(AgendaItem item)`

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getUnreadyReason, isReady, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

Constructor Detail

### CompletionHandler.NoAction

    public CompletionHandler.NoAction(AgendaItem item)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction.NoAction`

### getActionDescription

    public java.lang.String getActionDescription()

  Description copied from class: `HandlerAction`
  Returns a brief description of how this action would handle an item.

  Overrides:
    `getActionDescription` in class `HandlerAction`

### makeDescription

    java.lang.String makeDescription(AgendaItem item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD